
Redmine - Feature #3100

Better display of subprojects activiry and tickets.

2009-04-02 03:15 - Adam Kubica

Status: Closed Start date: 2009-04-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I have one big project and about eight highly depended subprojects.

In this case, current display of issues list is ugly and not clean (title prefixed by name of the subproject).

In my opinion and my co-workers, that list should be displayed as one list (exactly as now) but subproject tickets should be displayed

in groups:

At the beginning - list of the main project tickets

... and below - loop (for all subprojects alphabetically):

label of the subproject (title)

list of the subproject tickets

Ticket sorting not requires any change

Related issues:

Related to Redmine - Feature #2889: Separate project field and subject in cro... Closed 2009-03-03

Precedes Redmine - Patch #4277: Add "hide prefixed projectname from issuesubj... New 2009-11-24

History

#1 - 2009-04-05 12:09 - Jean-Philippe Lang

r2566 should solve your problem. You can now add a 'Project' column in the issue list and use it to sortthe list.

This column is added by default to the cross-project issue list.

#2 - 2009-04-17 18:13 - Adam Kubica

Revision r2566 isn't good solution at all.

There is not good solution (in result of r2566) when on the issues list we have project column and subject glued with project name (separate project

and subject wihout project name is OK).

My proposal (created as switch for view or alternate view for subproject?) is better and more readable especially for planning/reporting or printing

issues for the chief or customer.

#3 - 2009-04-18 08:50 - Andrew Chaika

- File issues_group_by_project.png added

In my opinion and my co-workers, that list should be displayed as one list (exactly as now) but subproject tickets should be displayed in groups...

 Maybe redmine_issues_group will be useful for this - http://www.redmine.org/boards/3/topics/4701

But current plugin version does't work with 0.8.x branch.
#4 - 2009-04-18 09:44 - Adam Kubica

Andrew Chaika wrote:
Maybe redmine_issues_group will be useful for this - http://www.redmine.org/boards/3/topics/4701

But current plugin version does't work with 0.8.x branch.

 issues_group_by_project.png 

 Yes, this is good solution ;-)

I hope the subject is no longer glued with project name (ugly and not usefull because project column is available separately).

#5 - 2009-04-18 14:44 - Andrew Chaika

Adam Kubica wrote:

I hope the subject is no longer glued with project name (ugly and not usefull because project column is available separately).

 This plugin does't remove project name from issue subject, that should be done in redmine core (or some hacks/overridings, that is't the targets of this

plugin).

#6 - 2009-11-23 15:34 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Fixed

In the current Redmine trunk (which will eventually become 0.9.0):

issue-subjects aren't glued together anylonger with the project-name (which is now a seperate column)

grouping-feature as provided by Andrew's plugin is implemented (thus makes it possible to group an issuelist based on the project)

Seems this implemented the initial feature-request of this issue. Therefore I'll close this on now as being fixed.

#7 - 2009-11-24 02:02 - Mischa The Evil

Mischa The Evil wrote:

In the current Redmine trunk (which will eventually become 0.9.0):

issue-subjects aren't glued together anylonger with the project-name (which is now a seperate column)

[...]

 Seems I spoke too soon after having a better look into the issue. See my patch in #4277 which provides an option for this specific behaviour.
